package cn.iocoder.yudao.module.wms.dal.mysql.qrcode;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.wms.dal.dataobject.qrcode.QrCodeDO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.wms.controller.admin.qrcode.vo.*;

/**
 * 二维码管理 Mapper
 *
 * @author 艾楷
 */
@Mapper
public interface QrCodeMapper extends BaseMapperX<QrCodeDO> {

    default PageResult<QrCodeDO> selectPage(QrCodePageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<QrCodeDO>()
                .likeIfPresent(QrCodeDO::getName, reqVO.getName())
                .eqIfPresent(QrCodeDO::getLength, reqVO.getLength())
                .eqIfPresent(QrCodeDO::getWidth, reqVO.getWidth())
                .eqIfPresent(QrCodeDO::getHigh, reqVO.getHigh())
                .eqIfPresent(QrCodeDO::getType, reqVO.getType())
                .eqIfPresent(QrCodeDO::getStatus, reqVO.getStatus())
                .eqIfPresent(QrCodeDO::getRemark, reqVO.getRemark())
                .betweenIfPresent(QrCodeDO::getCreateTime, reqVO.getCreateTime())
                .orderByDesc(QrCodeDO::getId));
    }

}